package com.ruoyi.ibs.list.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 建档家庭成员信息对象 family_members_record
 * 
 * @author ruoyi
 * @date 2024-12-20
 */
public class FamilyMembersRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String custIdc;

    /** 家庭成员名称 */
    @Excel(name = "家庭成员名称")
    private String fmyName;

    /** 家庭成员联系电话 */
    @Excel(name = "家庭成员联系电话")
    private String tel;

    /** 家庭成员出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "家庭成员出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 与户主关系 */
    @Excel(name = "与户主关系")
    private String fmyRln;

    /** 所属行业 */
    @Excel(name = "所属行业")
    private String belongBusi;

    /** 家庭成员身份证号 */
    @Excel(name = "家庭成员身份证号")
    private String fmyCustIdc;

    private Long recordId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setCustIdc(String custIdc)
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }
    public void setFmyName(String fmyName) 
    {
        this.fmyName = fmyName;
    }

    public String getFmyName() 
    {
        return fmyName;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }
    public void setFmyRln(String fmyRln) 
    {
        this.fmyRln = fmyRln;
    }

    public String getFmyRln() 
    {
        return fmyRln;
    }
    public void setBelongBusi(String belongBusi) 
    {
        this.belongBusi = belongBusi;
    }

    public String getBelongBusi() 
    {
        return belongBusi;
    }
    public void setFmyCustIdc(String fmyCustIdc) 
    {
        this.fmyCustIdc = fmyCustIdc;
    }

    public String getFmyCustIdc() 
    {
        return fmyCustIdc;
    }


    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("custIdc", getCustIdc())
            .append("fmyName", getFmyName())
            .append("tel", getTel())
            .append("birthday", getBirthday())
            .append("fmyRln", getFmyRln())
            .append("belongBusi", getBelongBusi())
            .append("fmyCustIdc", getFmyCustIdc())
            .toString();
    }
}
